Create a Session with Windows Auth
POST
sessions/win-auth
Creates a new session for the specified Knowledge Vault using the caller’s Windows identity.
Resource Information
| Method and URI | POST /AutodeskDM/Services/api/vault/v2/sessions/win-auth |
| Authentication Context | No security required |
| Required OAuth Scopes | No scopes required |
| Data Format | JSON |
Request
Headers
| Content-Type* string | Must be application/json |
* Required
Request
Body Structure
The target Knowledge Vault for the Windows-authenticated sign-in request.
Expand all
| input object | |
| vault string | The Knowledge Vault to sign in to. |
| appCode string | The app name to use for server-side audit logging. |
Response
HTTP Status Code Summary
| 200 OK | The session was successfully created. |
| 400 Bad Request | The server was unable to process the request. The syntax of the request is malformed or the request is missing a required header. Do not repeat the request without fixing the issue. The response body may indicate what is wrong with the request. |
| 401 Unauthorized | Windows authentication was rejected. Ensure you are signed in with a Vault-authorized Windows identity, that Windows authentication is enabled on the server, and that the Knowledge Vault name in the request body is correct, then try again. |
| 403 Forbidden | The request was successfully validated but lacking the required permissions. Verify your credentials and permissions before you send this request again. |
Response
Body Structure (200)
Expand all
| id string | The unique identifier of the session. |
| accessToken string | The access token issued for this session. Pass this value in the Authorization header on subsequent requests. |
| vaultInformation object | Contains identifying metadata for a Knowledge Vault. |
| name string | The name of the Knowledge Vault. This is also the name of the database. |
| id string | A unique identifier for the Knowledge Vault. |
| url string | The relative URL to access this object. |
| userInformation object | Contains core Vault account metadata returned for directory operations. |
| id string | A unique number that the Vault uses to reference the user. |
| name string | The login name of the user. |
| email string | The email address of the user. |
| authTypes enum:string | Specifies which account directory backs the sign-in record. Possible values:
|
| systemName string | The internal system name of the user. |
| createDate datetime: ISO 8601 | The date that the user was created. |
| isActive boolean | Indicates whether this user is active.
|
| url string | The relative URL to access this object. |
Example
This example illustrates creating a login session using Windows credentials (Active Directory).
Refer API Authentication
Note: {VaultServerAddress} is used as a placeholder in the example(s) and could represent one of the following:
- Vault Server IP address or hostname. Ex: http://10.41.110.49.
- Vault Gateway URL if gateway is configured. Ex: https://test.vg.autodesk.com.
Request
curl -v '{VaultServerAddress}/AutodeskDM/Services/api/vault/v2/sessions/win-auth' \
-X 'POST' \
-H 'Content-Type: application/json'\
-H 'Accept: application/json'\
--ntlm\
-u '<domain>\<user>:<password>' \
-d '{
"input": {
"vault": "Vault",
"appCode": "TC"
}
}'
Show More
Response
{
"id": "aac1705d-8956-4fba-962c-4d2b6bfaf398",
"accessToken": "V:aac1705d-8956-4fba-962c-4d2b6bfaf398",
"createDate": "2024-10-21T07:56:45.2277149Z",
"vaultInformation": {
"id": "117",
"name": "Vault",
"url": "/AutodeskDM/Services/api/vault/v2/vaults/117"
},
"userInformation": {
"id": "65",
"name": "TestAccount",
"email": "VaultAPITest@outlook.com",
"authTypes": "Vault, Autodesk",
"createDate": "2024-06-27T06:29:20.183Z",
"isActive": true,
"url": "/AutodeskDM/Services/api/vault/v2/users/65"
},
"url": "/AutodeskDM/Services/api/vault/v2/sessions/aac1705d-8956-4fba-962c-4d2b6bfaf398"
}
Show More